@extends('layouts.dn')

@section('page_title')
	@include('fragment.dn.header')
@endsection

@section('main-content')
	<div class="row">
		<div class="offset-1 col-10">
			<div class="main-card mb-3 card">
				<form id="import-form" action="{{ url('entry/add') }}" method="POST" enctype="multipart/form-data">
					@csrf
					<input type="hidden" name="frame" value="create">
					<input type="hidden" name="dn" value="{{ Crypt::encryptString($dn) }}">
					<input type="hidden" name="step" value="{{ ++$step }}">

					<div class="card-header">
						@lang('Create New Entry')
					</div>

				@switch($step)
					@case(1)
						<div class="card-body">
							<div class="row">
								<div class="col-12 col-sm-6">
									<x-form.select
										name="objectclass"
										:label="__('Select a Structural Object Class...')"
										:options="($oc=config('server')->schema('objectclasses'))
											->filter(fn($item)=>$item->isStructural())
											->sortBy(fn($item)=>$item->name_lc)
											->map(fn($item,$key)=>['id'=>$key,'value'=>$item->name])"
										allowclear="false"
										multiple="false"
									/>
								</div>
							</div>
						</div>
						@break

					@case(2)
						<div class="card-body">
							<div class="row">
								<div class="col-12 col-sm-6">
									<p class="alert alert-danger">
									Not ready yet :)
									</p>
								</div>
							</div>
						</div>
						@break;

					@endswitch

					<div class="card-footer">
						<span class="ms-auto">
							<x-form.submit action="Next" form="create-form"/>
						</span>
					</div>
				</form>
			</div>
		</div>
	</div>
@endsection